Debian Bug report logs - #668100
fromiso rewriting based on findiso structure

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: adrian15 <adrian15sgd@gmail.com>

Date: Sun, 8 Apr 2012 21:33:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version live-boot/3.0~a26-1

Fixed in version live-boot/3.0~a28-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Sun, 08 Apr 2012 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 21:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fromiso rewriting based on findiso structure
Date: Sun, 08 Apr 2012 23:19:36 +0200
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0~a26-1
Severity: minor

Dear Maintainer,

  I am trying to improve fromiso boot parametre current code.

I attach a patch that:

  a) Rewrites it to its code structure is as close as findiso one. This 
implies that the /live/fromiso (previously called /isofrom) folder is 
available in the new root filesystem at /root/live/fromiso. This was not 
the case in the old implementation.

  b) Rewrites it to use fromiso string instead of isofrom string in the 
code as often as possible.

I would like some feedback before testing it to confirm that this is 
right way of coding/improving it.

  Thank you very much!
[fromiso_rewritten.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Sun, 08 Apr 2012 21:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 21:39:11 GMT) Full text and rfc822 format available.

Message #10 received at 668100@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 668100@bugs.debian.org
Subject: Re: Bug#668100: fromiso rewriting based on findiso structure
Date: Sun, 08 Apr 2012 23:36:09 +0200
[Message part 1 (text/plain, inline)]
It seems I made a mistake when submitting the patch.

I attach the correct patch which only patches what I had originally 
described.

Sorry for that.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[fromiso_rewritten_0.02.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Mon, 09 Apr 2012 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 09 Apr 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 668100@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 668100@bugs.debian.org
Subject: Re: Bug#668100: fromiso rewriting based on findiso structure
Date: Mon, 09 Apr 2012 18:45:40 +0200
> I am trying to improve fromiso boot parametre current code.

Great.

> I attach a patch that:

>   a) Rewrites it to its code structure is as close as findiso one.
>      This implies that the /live/fromiso (previously called
>      /isofrom) folder is available in the new root filesystem at
>      /root/live/fromiso. This was not the case in the
>      old implementation.

>   b) Rewrites it to use fromiso string instead of isofrom string in
>      the code as often as possible.

> I would like some feedback before testing it to confirm that this is
> right way of coding/improving it.

I'd rather review split patches: one per kind of change.
A Git branch would be perfect, patches output by "git format-patch"
would do.

Besides, given the code structure of findiso and fromiso end up being
that similar, how hard would it be to factorize common logics somehow?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Mon, 09 Apr 2012 18:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 09 Apr 2012 18:45:02 GMT) Full text and rfc822 format available.

Message #20 received at 668100@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 668100@bugs.debian.org
Subject: Re: Bug#668100: fromiso rewriting based on findiso structure
Date: Mon, 09 Apr 2012 20:43:54 +0200
[Message part 1 (text/plain, inline)]
El 09/04/12 18:45, intrigeri escribió:
>> I am trying to improve fromiso boot parametre current code.
>
> Great.
>
>> I attach a patch that:
>
>>    a) Rewrites it to its code structure is as close as findiso one.
>>       This implies that the /live/fromiso (previously called
>>       /isofrom) folder is available in the new root filesystem at
>>       /root/live/fromiso. This was not the case in the
>>       old implementation.
>
>>    b) Rewrites it to use fromiso string instead of isofrom string in
>>       the code as often as possible.
>
>> I would like some feedback before testing it to confirm that this is
>> right way of coding/improving it.
>
> I'd rather review split patches: one per kind of change.
> A Git branch would be perfect, patches output by "git format-patch"
> would do.
>
> Besides, given the code structure of findiso and fromiso end up being
> that similar, how hard would it be to factorize common logics somehow?
>
> Cheers,

I attach the splitted patches.

I am doubting about 003 patch. Why fromiso didn't have in the first 
place? Why findiso did it? Perhaps because fromiso in the paste did have it?

Maybe it's some kind of obsolete code.



Related to this I have found: /live/image and /root/live/image that do 
not seem to be used (just rgreped for /live/image). I might open a new 
bug for this but I'm not sure.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[fromiso_001_renaming.patch (text/x-patch, attachment)]
[fromiso_002_use_live_fromiso.patch (text/x-patch, attachment)]
[fromiso_003_use_fromiso_moved_new_root_fs.patch (text/x-patch, attachment)]
[fromiso_004_fromiso_uses_is_mountpoint_function.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Tue, 10 Apr 2012 10:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 10 Apr 2012 10:03:16 GMT) Full text and rfc822 format available.

Message #25 received at 668100@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 668100@bugs.debian.org
Subject: Re: Bug#668100: fromiso rewriting based on findiso structure
Date: Tue, 10 Apr 2012 11:59:18 +0200
Hi,

adrian15 wrote (09 Apr 2012 18:43:54 GMT) :
> I attach the splitted patches.

Thanks!

I've merged:

  * fromiso_001_renaming.patch
  * fromiso_002_use_live_fromiso.patch
  * fromiso_004_fromiso_uses_is_mountpoint_function.patch *but*
    I amended it to s,/root/live/fromiso,/live/fromiso, given I did
    not apply the 003 patch

> I am doubting about 003 patch.

So am I.

> Why fromiso didn't have in the first place?

No idea. Why should it have it?
Given fromiso= works well without this change AFAIK,
I see no reason to clutter the code with it.
(No, I don't think making the code more similar to findiso= counts here.)

> Why findiso did it? Perhaps because fromiso in the paste did
> have it?

No idea, but dba started a discussion about it on #656135.
Try removing this piece of code from findiso= and see what happens?

Shall we consider this action item (fromiso rewriting based on findiso
structure) as done, and close this bug?

> Related to this I have found: /live/image and /root/live/image that
> do not seem to be used (just rgreped for /live/image). I might open
> a new bug for this but I'm not sure.

A new bug is needed if we want to go any further on this road.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Sun, 15 Apr 2012 09:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 15 Apr 2012 09:27:15 GMT) Full text and rfc822 format available.

Message #30 received at 668100@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 668100@bugs.debian.org
Subject: Re: Bug#668100: fromiso rewriting based on findiso structure
Date: Sun, 15 Apr 2012 11:22:03 +0200
El 10/04/12 11:59, intrigeri escribió:
> Hi,
>
> adrian15 wrote (09 Apr 2012 18:43:54 GMT) :
>> I attach the splitted patches.
>
> Thanks!
>
> I've merged:
>
>    * fromiso_001_renaming.patch
>    * fromiso_002_use_live_fromiso.patch
>    * fromiso_004_fromiso_uses_is_mountpoint_function.patch *but*
>      I amended it to s,/root/live/fromiso,/live/fromiso, given I did
>      not apply the 003 patch
>
>> I am doubting about 003 patch.
>
> So am I.
>
>> Why fromiso didn't have in the first place?
>
> No idea. Why should it have it?
> Given fromiso= works well without this change AFAIK,
> I see no reason to clutter the code with it.
> (No, I don't think making the code more similar to findiso= counts here.)

According to Michael Prokop (I sent him an email) if fromiso option 
works without that code we should remove it. It describes the grml 
live-boot ancestors to be live-initramfs and knoppix. So he means that 
some code might be unneccesary.

>
>> Why findiso did it? Perhaps because fromiso in the paste did
>> have it?
>
> No idea, but dba started a discussion about it on #656135.
> Try removing this piece of code from findiso= and see what happens?
>
> Shall we consider this action item (fromiso rewriting based on findiso
> structure) as done, and close this bug?

If the fromiso option still works I think so too.

>> Related to this I have found: /live/image and /root/live/image that
>> do not seem to be used (just rgreped for /live/image). I might open
>> a new bug for this but I'm not sure.
>
> A new bug is needed if we want to go any further on this road.

Yeah. I have finally found /root/live/image being used in the final 
disk, but not sure if they need to be on live-boot.

If I look up more into it I will open a new bug. Not sure I will have 
time for that.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Sun, 15 Apr 2012 10:03:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 15 Apr 2012 10:03:25 GMT) Full text and rfc822 format available.

Message #35 received at 668100@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 668100@bugs.debian.org
Subject: Re: Bug#668100: fromiso rewriting based on findiso structure
Date: Sun, 15 Apr 2012 12:00:59 +0200
Hi,

adrian15 wrote (15 Apr 2012 09:22:03 GMT) :
> El 10/04/12 11:59, intrigeri escribió:
>> Shall we consider this action item (fromiso rewriting based on
>> findiso structure) as done, and close this bug?

> If the fromiso option still works I think so too.

Then please verify it still works and report back.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#668100; Package live-boot. (Sun, 15 Apr 2012 16:03:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 15 Apr 2012 16:03:17 GMT) Full text and rfc822 format available.

Message #40 received at 668100@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 668100@bugs.debian.org
Subject: Re: Bug#668100: fromiso rewriting based on findiso structure
Date: Sun, 15 Apr 2012 17:59:32 +0200
El 15/04/12 12:00, intrigeri escribió:
> Hi,
>
> adrian15 wrote (15 Apr 2012 09:22:03 GMT) :
>> El 10/04/12 11:59, intrigeri escribió:
>>> Shall we consider this action item (fromiso rewriting based on
>>> findiso structure) as done, and close this bug?
>
>> If the fromiso option still works I think so too.
>
> Then please verify it still works and report back.
>
> Cheers,

Fromiso option works for me for the latest git version (debian-next).

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Added tag(s) fixed-upstream. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Mon, 16 Apr 2012 14:45:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 04 Jun 2012 16:09:12 GMT) Full text and rfc822 format available.

Notification sent to adrian15 <adrian15sgd@gmail.com>:
Bug acknowledged by developer. (Mon, 04 Jun 2012 16:09:12 GMT) Full text and rfc822 format available.

Message #47 received at 668100-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 668100-close@bugs.debian.org
Subject: Bug#668100: fixed in live-boot 3.0~a28-1
Date: Mon, 04 Jun 2012 16:03:15 +0000
Source: live-boot
Source-Version: 3.0~a28-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-doc_3.0~a28-1_all.deb
  to main/l/live-boot/live-boot-doc_3.0~a28-1_all.deb
live-boot-initramfs-tools_3.0~a28-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a28-1_all.deb
live-boot_3.0~a28-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a28-1.debian.tar.gz
live-boot_3.0~a28-1.dsc
  to main/l/live-boot/live-boot_3.0~a28-1.dsc
live-boot_3.0~a28-1_all.deb
  to main/l/live-boot/live-boot_3.0~a28-1_all.deb
live-boot_3.0~a28.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a28.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668100@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Jun 2012 17:31:32 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a28-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 668100
Changes: 
 live-boot (3.0~a28-1) experimental; urgency=low
 .
   [ Tails developers ]
   * Improving robustness of findiso cleanup process.
   * Using fromiso in most places where isofrom was used, thanks to
     adrian15 <adrian15sgd@gmail.com>.
   * Mounting fromiso filesystem on /live/fromiso instead of /fromiso,
     thanks to adrian15 <adrian15sgd@gmail.com>.
   * Improving robustness of fromiso cleanup process with is_mountpoint
     (Closes: #668100).
 .
   [ Daniel Baumann ]
   * Using boot.log and /var/log/live/boot.log respectively for overall
     consistency within all debian-live tools.
 .
   [ Ian Reinhart Geiser ]
   * Fix to allow for multiple rof when exposed roots is disabled.
 .
   [ Tails developers ]
   * Implement and make use of robust list functions.
 .
   [ chals ]
   * Fixing several typos in man pages.
   * Adding initial Spanish translation of man pages.
 .
   [ Evgeni Golov ]
   * Fixing two typos and a wrong word in comments.
Checksums-Sha1: 
 7aba3bc72400a2d7d1e82e59324d31ad1e90f8c1 1386 live-boot_3.0~a28-1.dsc
 8ed048d56bbf59165b6535445a4fb38697bd514f 115661 live-boot_3.0~a28.orig.tar.gz
 da69318c90bf2cca139afbd7d0feac77bf9c5765 21005 live-boot_3.0~a28-1.debian.tar.gz
 d2d019803e513cb4067fc52da974dfde428d49b0 31422 live-boot_3.0~a28-1_all.deb
 d3ce396508d33ee1ecf9738c2a8a4c3fa695eef8 57262 live-boot-doc_3.0~a28-1_all.deb
 5bad3198c9fe4c92140d0276a356b77f2a606163 50144 live-boot-initramfs-tools_3.0~a28-1_all.deb
Checksums-Sha256: 
 49ffb603a01c077b5f6a574fce2ecafa43314ea0f45ee05780d35d51c0e343a0 1386 live-boot_3.0~a28-1.dsc
 77aecf249bc409f322547e56700ae7c8ad02fa40d5a256bf596ef580d5ce6370 115661 live-boot_3.0~a28.orig.tar.gz
 333b91b1b271120a58a4ed93294070100a9dc7fea6280b72b436b857f7b55861 21005 live-boot_3.0~a28-1.debian.tar.gz
 219647cc2e258bbe4f7541ca8b8f6a51f64369351973030cb86561bfcf67f303 31422 live-boot_3.0~a28-1_all.deb
 3e860f93f8080bcdc166875906974aca07b49bbe1a2b0e19b44a54875c721ea9 57262 live-boot-doc_3.0~a28-1_all.deb
 e61f0fc2c70b8c8ba4f914028aec915d6adfe2655b64c75c2698db0e91a8bdf2 50144 live-boot-initramfs-tools_3.0~a28-1_all.deb
Files: 
 f25f994e886f713a741a27a66a820d38 1386 misc optional live-boot_3.0~a28-1.dsc
 389d9a290df190e151dd644d1e8831b3 115661 misc optional live-boot_3.0~a28.orig.tar.gz
 746c4be7d1fb2a7f10ae1270d52dd21d 21005 misc optional live-boot_3.0~a28-1.debian.tar.gz
 60f75ac2bac613ffe9c51c589d6d3f49 31422 misc optional live-boot_3.0~a28-1_all.deb
 2853511b5632155a663919b48f0c0c66 57262 doc optional live-boot-doc_3.0~a28-1_all.deb
 2352136b170c271e887d79bb42db9e0a 50144 misc optional live-boot-initramfs-tools_3.0~a28-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/M2CYACgkQ+C5cwEsrK56oPACeL/OVGpG0jeFZRgaXHiCUJutB
YpIAoKYShgeLO2AoxmAQ7Lh+yEM5AryP
=PFhK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jul 2012 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:47:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.